<?php
/**
 * @version		1.0	
 * @package		vm categories element	
 * @author		www.skyoftech.com	
 * @copyright 	www.skyoftech.com		
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

class JElementVmcategories extends JElement
{

	var	$_name = 'vmcategories';

	function fetchElement($name, $value, &$node, $control_name){
		$db = &JFactory::getDBO();
		
		$query  = "SELECT category_id as id,category_parent_id as parent ,category_name as name FROM #__vm_category, #__vm_category_xref ";
		$query .= "WHERE #__vm_category.category_publish='Y' AND ";
		$query .= "#__vm_category.category_id=#__vm_category_xref.category_child_id ";
		$query .= "ORDER BY category_parent_id, list_order, category_name ASC";
		
		$db->setQuery( $query );
		$mitems = $db->loadObjectList();
		//var_dump($mitems);die;
		$children = array();
		if ($mitems){
			foreach ( $mitems as $v ){
				$pt 	= $v->parent;
				$list = @$children[$pt] ? $children[$pt] : array();
				array_push( $list, $v );
				$children[$pt] = $list;
			}
		}
		$list = JHTML::_('menu.treerecurse', 0, '', array(), $children, 9999, 0, 0 );
		$mitems = array();

		foreach ( $list as $item ) {
			$mitems[] = JHTML::_('select.option',  $item->id, '&nbsp;&nbsp;&nbsp;'.$item->treename );
		}
		
		$doc = & JFactory::getDocument();
		$js = "
		window.addEvent('domready', function(){
			
			$('paramscatfilter0').addEvent('click', function(){
				$('paramsvmcategories').setProperty('disabled', 'disabled');
				$$('#paramsvmcategories option').each(function(el) {
					el.setProperty('selected', 'selected');
				});
			})
			
			$('paramscatfilter1').addEvent('click', function(){
				$('paramsvmcategories').removeProperty('disabled');
				$$('#paramsvmcategories option').each(function(el) {
					el.removeProperty('selected');
				});

			})
			
			if ($('paramscatfilter0').checked) {
				$('paramsvmcategories').setProperty('disabled', 'disabled');
				$$('#paramsvmcategories option').each(function(el) {
					el.setProperty('selected', 'selected');
				});
			}
			
			if ($('paramscatfilter1').checked) {
				$('paramsvmcategories').removeProperty('disabled');
			}
			
		});
		";
		
		$doc->addScriptDeclaration($js);
		$output= JHTML::_('select.genericlist',  $mitems, ''.$control_name.'['.$name.'][]', 'class="inputbox" style="width:90%;" multiple="multiple" size="10"', 'value', 'text', $value );
		return $output;
	}
}