<?php 
/*------------------------------------------------------------------------
# mod_vtem_virtuemart_powerpaly - VTEM VirtueMart PowerPlay Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2010 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

if (! class_exists("modVtemPowerPlayHelper") ) { 
require_once (dirname(__FILE__) .DS. 'assets'.DS.'getproducts.php');
class modVtemPowerPlayHelper {
	var $module_name = '';
	function excute($params, $module) {
		$enable_cache 		=   $params->get('cache',1);
		$cachetime			=   $params->get('cache_time',0);
		$this->module_name = $module->module;
		
		if($enable_cache==1) {		
			$conf =& JFactory::getConfig();
			$cache = &JFactory::getCache($module->module);
			$cache->setLifeTime( $params->get( 'cache_time', $conf->getValue( 'config.cachetime' ) * 60 ) );
			$cache->setCaching(true);
			$cache->setCacheValidation(true);
			$items =  $cache->get( array('modVtemPowerPlayHelper', 'getvmContent'), array($params, $module));
		} else {
			$items = modVtemPowerPlayHelper::getvmContent($params, $module);
		}		
		return $items;			
	}
	
	function getvmContent($params, $module) {				
        $modVtemPowerPlay = new modVtemPowerPlay(); 
		$modVtemPowerPlay->show_addtocart      =  	$params->get('show_addtocart', "yes");
		$modVtemPowerPlay->show_price          =  	$params->get('show_price', "yes");
		$modVtemPowerPlay->category_id         =  	intval( $params->get('category_id', 0 ) );
		$modVtemPowerPlay->NumberOfProducts    =  	$params->get('NumberOfProducts', $modVtemPowerPlay->NumberOfProducts);
		$modVtemPowerPlay->featuredProducts	= 	$params->get('featuredProducts', $modVtemPowerPlay->featuredProducts);			
		$modVtemPowerPlay->SortMethod	=  	$params->get('SortMethod', $modVtemPowerPlay->SortMethod);
		
		$modVtemPowerPlay->source				=	$params->get('source', $modVtemPowerPlay->source);	
		$modVtemPowerPlay->catfilter			=	$params->get('catfilter', $modVtemPowerPlay->catfilter);	
		$modVtemPowerPlay->vmcategories		=	$params->get('vmcategories', $modVtemPowerPlay->vmcategories);
		$modVtemPowerPlay->specific_product_ids=	$params->get('specific_product_ids', $modVtemPowerPlay->specific_product_ids);
					
		$modVtemPowerPlay->thumb_height 		= $params->get('thumb_height', "280px");
        $modVtemPowerPlay->thumb_width 		= $params->get('thumb_width', "650px");        
        $modVtemPowerPlay->small_thumb_height 	= $params->get('small_thumb_height', "70px");
        $modVtemPowerPlay->small_thumb_width 	= $params->get('small_thumb_width', "40px");
		
        $modVtemPowerPlay->web_url 			= JURI::base();
        $modVtemPowerPlay->max_title        	= $params->get('limittitle',25);
        $modVtemPowerPlay->max_description     = $params->get('limit_description',200);
		$modVtemPowerPlay->max_short_desc      = $params->get('limit_short_description',100); 
        
        $modVtemPowerPlay->resize_folder 		= JPATH_CACHE.DS. $module->module .DS."images".DS."resize";
		$modVtemPowerPlay->crop_folder 		= JPATH_CACHE.DS. $module->module .DS."images".DS."crop";
        $modVtemPowerPlay->url_to_resize 		= $modVtemPowerPlay->web_url . "cache/". $module->module ."/images/resize/";
		$modVtemPowerPlay->url_to_crop 		= $modVtemPowerPlay->web_url . "cache/". $module->module ."/images/crop/";
        $modVtemPowerPlay->cropresizeimage 	= $params->get('cropresizeimage', 0);              		
		$items = $modVtemPowerPlay->getItems($params);				
		return $items;
	}
}		
} 	
?>

