<?php
/*------------------------------------------------------------------------
# mod_vtem_virtuemart_powerpaly - VTEM VirtueMart PowerPlay Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2010 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 
$showProductShortDesc	= $params->get( 'showProductShortDesc', 0 );
$fx = $params->get('fx', 'cube');
$transition_speed = $params->get('transition_speed', 2500);
$prev_next = $params->get('prevnext', 1);
$autostart = $params->get('autostart', 0);
$transition_speed = $params->get('transition_speed', 4000);
$pauseonhover = $params->get('pauseonhover', 1);
$navigation = $params->get('navigation', 'dots');
$navigationalign = $params->get('navigationalign', 'left');
$keyboard_move = $params->get('keyboard_move', 1);
$progressbar = $params->get('progressbar', 1);
$navoption = '';
switch ($navigation) {
    case "dots":
        $navoption = 'dots: true, numbers: false, preview: false, thumbs: false';
        break;
    case "dotspreview":
        $navoption = 'dots: true, numbers: false, preview: true, thumbs: false';
        break;
    case "numbers":
        $navoption = 'dots: false, numbers: true, preview: false, thumbs: false';
        break;
	case "thumbs":
        $navoption = 'dots: false, numbers: false, preview: false, thumbs: true';
        break;
	case "none":
        $navoption = 'dots: false, numbers: false, preview: false, thumbs: false';
        break;
}
?>
<script type="text/javascript" src="<?php echo JURI::root()?>modules/mod_vtem_virtuemart_powerplay/assets/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="<?php echo JURI::root()?>modules/mod_vtem_virtuemart_powerplay/assets/js/jquery.skitter.js"></script>
<script type="text/javascript" language="javascript">
var vtempowerplay = jQuery.noConflict();
(function($){$(function(){
$('#<?php echo $slideID ?>').skitter({
          label: true,
          auto_play: <?php echo $autostart;?>,
		  interval: <?php echo $transition_speed;?>,
		  animation: '<?php echo $fx;?>',
		  navigation: <?php echo $prev_next;?>,
		  stop_over: <?php echo $pauseonhover;?>,
		  numbers_align: '<?php echo $navigationalign;?>',
		  enable_navigation_keys: <?php echo $keyboard_move;?>,
		  progressbar: <?php echo $progressbar;?>,
		  <?php echo $navoption;?>
});
});})(jQuery);
</script>
<div id="<?php echo $slideID;?>" class="vtempowerplay box_skitter">
 <dl>
 <?php foreach($items as $key=>$item): ?>	
	<dd>
		<a href="<?php echo $item['link'];?>"><img src="<?php echo $item['thumb'];?>" alt="VTEM PowerPlay" /></a>
		<div class="label_text">
	      <div class="vt_powerplay_title_desc">
		    <h4>
		    <?php if($link_title):?><a href="<?php echo $item['link'];?>"><?php echo $item['sub_title'];?></a>
			<?php else:?><?php echo $item['sub_title'];?><?php endif;?>
			</h4>
			<div><?php if ($showProductShortDesc){echo $item['sub_short_content'];}?></div>
		   </div>
		   <div class="vt_powerplay_price">
			  <?php if(isset($item['price'])){ echo $item['price']; }?>
		   </div>
		</div>
	</dd>
  <?php endforeach; ?>
  </dl>
</div>
